Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class PreProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.PreProcessor

Direct Known Subclasses:
  E2eB2bPreProcessor

public class PreProcessor
extends AbstractPortalProcessor

The PreProcessor is the first processor called by the portal's own internal webflow, as defined by the `portal.wf` webflow file.
It has the following responsibilities:
Should auto-login (cookie based) be performed
Is a login "in progress".
otherwise return a portal webflow event so the appropriate framework processor can be invoked.

See Also:
  `PortalAppflowConstants.AUTO_LOGIN`, `PortalAppflowConstants.POST_LOGIN`, `PortalAppflowConstants.PORTLET_EVENT`, `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT`, `PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER`

Constructor Summary
`PreProcessor()` Default constructor (called by webflow).

Method Summary
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreProcessor

    public PreProcessor()

  Default constructor (called by webflow). This processor is NOT session sensitive as it calls `super()`

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  Main process method called by webflow.

  Returns:
    a String for webflow to evaluate the next processor to invoke.
  Overrides:
    process in class AbstractPortalProcessor
  See Also:
    `PortalAppflowConstants.AUTO_LOGIN`, `PortalAppflowConstants.POST_LOGIN`, `PortalAppflowConstants.PORTLET_EVENT`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved